Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Oct 2014, 04:48
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
No SF2 Player in LMMS_0.4.10
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
davec60

Joined: 14 Sep 2012
Posts: 22

PostPosted: Wed 05 Jun 2013, 03:51    Post_subject:  No SF2 Player in LMMS_0.4.10  

I have recently installed LMMS_0.4.10 on Precise Puppy 5.5 via Puppy Package Manager (that was the only version available, apparently).

I have also installed Midi Soundfonts (Fluidsynth_3.1-5) GM and GS (into /usr/share/sounds/sf2/) with the intention of playing midi files.

However, the required 'Sf2 Player' instrument plugin is missing from LMMS_0.4.10.
Should this plugin have been included with LMMS_0.4.10?

Is there somewhere I can get just the LMMS-based 'Sf2 Player' plugin that will function in my particular LMMS on Precise Puppy without having to download LMMS again into some other Linux OS? (I am on a dialup modem and want to avoid further sizeable downloads just to fix this).
Thanks
dave-c
Back to top
View user's profile Send_private_message 
666philb


Joined: 07 Feb 2010
Posts: 1778
Location: wales

PostPosted: Wed 05 Jun 2013, 14:43    Post_subject:  

hi davec60,

the lmms from the precise PPM is working for me with midi files....

1. open lmms click 'edit' then 'settings' then the 'paths' folder icon and select '/usr/share/sounds/sf2/FluidR3_GM.sf2' as the default soundfont file. then press ok and restart lmms

2. import your midi file by using the file browser in lmms.

3. then click on the 'sf2 default preset' button in the song editor (the one that your midi file imported to) and the 'soundfont player' should pop up.

4 you might then need to click on 'patch' in the 'soundfont player' to select the instrument. (the arrow on the picture should be pointing to the spanner icon at the right of 'patch' ..sorry)



_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send_private_message 
backi

Joined: 27 Feb 2011
Posts: 448
Location: GERMANY

PostPosted: Sun 09 Jun 2013, 09:56    Post_subject:  

hi davec60

Here is a link for Lmms 0.4.13 includes sf2 player.

http://smokey01.com/pemasu/pet_packages-exprimo/

Used it on DpupExprimo successful .
Works on Precise too ..

I think you have to install .... qt4-4.8.0_5. -too .

http://smokey01.com/pemasu/Pets_Qt4/

Cheers
Back to top
View user's profile Send_private_message 
davec60

Joined: 14 Sep 2012
Posts: 22

PostPosted: Sun 30 Jun 2013, 05:52    Post_subject:  

Thanks for the replies guys - I've got it working now.
Very Happy
Wink
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0489s ][ Queries: 12 (0.0096s) ][ GZIP on ]